%ifarch x86_64
%define bits 64
%else
%define bits 32
%endif

Name: monetdb-client
Version: 1.38.5
Release: alt4
Summary: MonetDB - Monet Database Management System

Group: Databases
License: MonetDB Public License v1.1
URL: http://monetdb.cwi.nl/
Source: %name-%version.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Requires: lib%name = %version-%release
Conflicts: maui

BuildRequires: libreadline-devel libssl-devel python-devel flex
BuildRequires: libmonetdb-devel zlib-devel bzlib-devel libpcre-devel
BuildPreReq: texi2html latex2html texlive-latex-recommended
BuildPreReq: libunixODBC-devel transfig swig perl-DBI-devel

%package -n lib%name
Summary: Shared libraries of MonetDB Client
Group: System/Libraries

%package -n lib%name-devel
Summary: MonetDB Client development package
Group: Development/C
Requires: %name = %version-%release
Requires: libmonetdb-devel
Requires: libreadline-devel libssl-devel libunixODBC-devel
Requires: swig
Requires: python-devel

%package perl
Summary: MonetDB perl interface
Group: Databases
Requires: %name = %version-%release
Requires: swig

%package -n python-module-%name
Summary: MonetDB python interface
Group: Development/Python
Requires: %name = %version-%release
BuildArch: noarch

%package tests
Summary: MonetDB Client tests package
Group: Databases
Requires: %name = %version-%release

%description
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains mclient, the main client program to communicate
with the database server, and msqldump, a program to dump the SQL
database so that it can be loaded back later.

%description -n lib%name
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains shared libraries of MonetDB-client.

%description -n lib%name-devel
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains the files needed to develop with
MonetDB-client.

%description perl
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains the files needed to use MonetDB from a Perl
program.

%description -n python-module-%name
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains the files needed to use MonetDB from a Python
program.

%description tests
MonetDB is a database management system that is developed from a
main-memory perspective with use of a fully decomposed storage model,
automatic index management, extensibility of data types and search
accelerators, SQL- and XML- frontends.

This package contains the sample MAPI programs used for testing other
MonetDB packages.  You probably don't need this, unless you are a
developer.

%prep
%setup

sed -i 's|\(\-O6\)|\1 -g|g' configure

%build
%configure \
	--enable-strict=no \
	--enable-assert=no \
	--enable-debug=no \
	--enable-optimize=yes \
	--enable-bits=%bits \
	--with-perl
%make_build

%install
%makeinstall_std

find %buildroot -name .incs.in -print -o -name \*.la -print | xargs rm -f

%files
%doc COPYING
%_bindir/*
%exclude %_bindir/monetdb-clients-config
%_man1dir/*

%files -n lib%name
%dir %_libdir/MonetDB
%_libdir/*.so.*

%files -n lib%name-devel
%_bindir/monetdb-clients-config
%_libdir/*.so
%_includedir/*

%files perl
%perl_vendor_archlib/MapiLib*
%perl_vendor_archlib/MonetDB
%perl_vendor_archlib/DBD/monetdb*
%dir %_datadir/MonetDB/perl
%_datadir/MonetDB/perl/*

%files -n python-module-%name
%python_sitelibdir_noarch/*

%files tests
%_libdir/MonetDB/Tests

%changelog
* Mon Mar 21 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.38.5-alt4
- Rebuilt for debuginfo

* Fri Nov 05 2010 Vladimir Lettiev <crux@altlinux.ru> 1.38.5-alt3.1
- rebuilt with perl 5.12
- fixed files section

* Mon Oct 04 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.38.5-alt3
- Rebuilt with openssl10

* Thu Sep 30 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.38.5-alt2
- Added explicit conflict with maui

* Wed Sep 29 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.38.5-alt1
- Initial build for Sisyphus

* Tue Aug 24 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.5-20100824
- Rebuilt.

* Mon Aug 23 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.5-20100823
- Rebuilt.

* Thu Aug 19 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.5-20100823
- mclient now complains about NULL bytes in the input when in interactive
  mode.

* Fri Aug 13 2010 Fabian Groffen <fabian@cwi.nl> - 1.38.5-20100823
- Slight rendering improvements to mclient's tabular output when
  rendering results larger than the available screen width, headers
  were previously unnecessarily squeezed.
- Fix bug #2650, a too small buffer caused the active database as
  reported by mclient's welcome message to be truncated

* Wed Jul 21 2010 Fabian Groffen <fabian@cwi.nl> - 1.38.5-20100823
- Add --version option to mclient.

* Tue Jul 20 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.5-20100823
- In case of an incomplete line from the server, add a newline.
  This fixes bug 2619.

* Mon Jul 19 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.5-20100823
- Avoid using SQLROWSETSIZE and SQLROWOFFSET.
  This fixes bug 2558.

* Tue Jul 13 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.3-20100713
- Rebuilt.

* Mon Jul 12 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.3-20100712
- Rebuilt.

* Fri Jul 09 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.3-20100709
- Rebuilt.

* Mon Jul  5 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.3-20100706
- Implemented dumping of GRANT statements.
  This fixes bug 2574.

* Thu Jul  1 2010 Fabian Groffen <fabian@cwi.nl> - 1.38.3-20100706
- Fix implementation of mapi_mapiuri to deal with UNIX socket urls
  properly.  This fixes one part of Bug #2567.

* Wed Jun 30 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.1-20100630
- Rebuilt.

* Fri Jun 25 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.1-20100625
- Rebuilt.

* Tue Jun 22 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.1-20100622
- Rebuilt.

* Fri Jun 18 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.1-20100618
- Rebuilt.

* Mon May 31 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.1-20100618
- Updated Vendor information.

* Tue Apr 20 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.1-20100618
- The MonetDB ODBC driver now no longer depends on its own copy of the
  standard ODBC include files but instead depends on system include
  files (unixODBC on Linux and Microsoft SDK on Windows).

* Tue Apr 20 2010 Stefan Manegold <manegold@cwi.nl> - 1.38.1-20100618
- Made compilation of "testing" (and "java") independent of MonetDB.
  This is mainly for Windows, but also on other systems, "testing" can
  now be built independently of (and hence before) "MonetDB".  Files
  that mimic configure functionality on Windows were moved from
  "MonetDB" to "buildtools"; hence, this affects all packages on
  Windows, requiring a complete rebuild from scratch on Windows.
  getopt() support in testing has changed; hence, (most probably)
  requiring a rebuild from scratch of testing on other systems.

* Tue Apr 20 2010 Stefan Manegold <manegold@cwi.nl> - 1.38.1-20100618
- Implemented build directory support for Windows, i.e., like on
  Unix/Linux also on Windows we can now build in a separate build
  directory as alternative to ...\<package>\NT, and thus keep the latter
  clean from files generated during the build.  On Windows, the build
  directory must be a sibling of ...\<package>\NT .

* Tue Apr 20 2010 Fabian Groffen <fabian@cwi.nl> - 1.38.1-20100618
- Changed \d output of mclient no longer to list (internal use only)
  system tables.  Administrator users who like to inspect these tables
  can use SELECT * FROM tables; instead

* Tue Apr 20 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.38.1-20100618
- Implemented the changes required for properly running ODBC on a
  64-bit platform.

* Tue Apr 20 2010 Fabian Groffen <fabian@cwi.nl> - 1.38.1-20100618
- Added stethoscope, a utility to profile MonetDB5 instances,
  originally from the MonetDB5 repository.

* Tue Apr 20 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.36.5-20100420
- Rebuilt.

* Thu Apr 15 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.36.5-20100420
- Documented the database option in the DSN in the Perl interface.
  Also incremented the version number of the Perl interface.
- Fixed a problem in the PHP interface where under certain
  circumstances not all data from the server was read, leading to a
  limited number of rows being returned and other weird behavior.
  This fixes SF bug 2975433.
- If mclient is called with argument -? or --help, exit with exit code
  0.  This fixes SF bug 2956574.

* Mon Mar 22 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.36.3-20100322
- Rebuilt.

* Wed Feb 24 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.36.1-20100224
- Rebuilt.

* Wed Feb 17 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.36.1-20100223
- Fixed a bug in the Mapi library when sending very large queries to
  the server.
- Implemented BLOB and CLOB support in ODBC driver.

* Tue Feb 02 2010 Fabian Groffen <fabian@cwi.nl> - 1.36.1-20100223
- Fixed crash upon connect to a server that is under maintenance but
  has the requested language (scenario) not loaded.

* Wed Jan 27 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.36.1-20100223
- Fixed bug in the ODBC driver where a non-ASCII character at the end
  of a string caused an error when the string was converted to wide
  characters.

* Wed Jan 20 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.36.1-20100223
- mclient timer information (-t option) is now written to standard
  error instead of standard output.  This makes getting timer
  information easier when there is a large amount of regular output
  (which can be redirected to a file or /dev/null).

* Tue Jan 19 2010 Sjoerd Mullender <sjoerd@acm.org> - 1.36.1-20100223
- Implemented new function mapi_fetch_field_len() which returns the
  length (excluding trailing NULL byte) of the field returned by
  mapi_fetch_field().

